Bug 1287462 - virt-viewer will core dump with -r option via ssh when destroy the guest
virt-viewer will core dump with -r option via ssh when destroy the guest
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-viewer (Show other bugs)
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Virt Viewer Maint
Virtualization Bugs
Depends On: 1163647 1181288
  Show dependency treegraph
Reported: 2015-12-02 02:38 EST by mxie@redhat.com
Modified: 2016-05-10 17:19 EDT (History)
9 users (show)

See Also:
Fixed In Version: virt-viewer-2.0-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1163647
Last Closed: 2016-05-10 17:19:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 2 Fabiano Fidêncio 2015-12-02 02:54:37 EST
The upstream commit that should solve this issue is:
Comment 4 mxie@redhat.com 2015-12-15 03:53:13 EST
I can reproduce the bug on spice guest with builds:

Try to verify this bug with builds:

Test with spice guest

1. Prepare a running spice guest on host A

# virsh dumpxml test
    <graphics type='spice' port='5900' autoport='yes' listen=''>
      <listen type='address' address=''/>
      <image compression='off'/>
      <model type='qxl' ram='65536' vram='65536' heads='1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>

2. On host B, use virt-viewer connect to guest on host A.
# virt-viewer -c qemu+ssh://$host_A_ip/system test -r

Result: Connect to guest on host A successfully.

3. destroy the guest on host A

# virsh destroy test
Domain test destroyed

Result: Virt-viewer window keeps on host B and showing: "Waiting for guest domain to re-start", no crash.

4. Start guest on host A again:

# virsh start test
Domain test started

Result: Virt-viewer window keeeps and reconnect to guest automatically, showing guest boot up process with no crash.

Seen above steps, move this bug from ON_QA to VERIFIED.
Comment 6 errata-xmlrpc 2016-05-10 17:19:13 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.